## visad.data.amanda
Class Tracks

    java.lang.Object
      visad.data.amanda.EventList
          visad.data.amanda.Tracks

public class Tracks
extends EventList

Field Summary
`static FunctionType` `functionType`

Constructor Summary
`Tracks()`

Method Summary
`void` `add(BaseTrack track)`
`void` `computeSamples(float[] timeSteps)`
`BaseTrack` `get(int i)`
`Data` `makeData()`

Methods inherited from class visad.data.amanda.EventList
`add, addUnique, dump, internalGet, size, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### functionType

    public static FunctionType functionType

Constructor Detail

### Tracks

    public Tracks()

Method Detail

### add

    public final void add(BaseTrack track)

### computeSamples

    public final void computeSamples(float[] timeSteps)

### get

    public final BaseTrack get(int i)

### makeData

    public final Data makeData()
                        throws RemoteException,
                               VisADException

  Throws:
    `RemoteException`
    `VisADException`